E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
md5::digest Class Reference

A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321. More...

Inheritance diagram for md5::digest:

## Public Member Functions
| digest (const std::string &s)
| digest (digest_state)
digest_state | state () const
void | add (const block &)

## Detailed Description

A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321.

A digest can be calculated in one go from an arbitrarily-sized block of data, or incrementally from a series of 64-byte blocks. The 64-byte blocks must be passed as md5::block objects.

Definition at line 46 of file gmd5.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gmd5.cpp